%define	name	koan
%define	version	0.2.5
%define	release	%mkrel 2

# Turn off debuginfo package
%define _enable_debug_packages	%{nil}
%define debug_package %{nil}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary: 	Network provisioning tool for Xen and Existing Non-Bare Metal
Source0: 	%{name}-%{version}.tar.gz
License: 	GPL
Group: 		System/Configuration/Packaging
Url: 		http://cobbler.et.redhat.com/
Requires: 	mkinitrd
Requires: 	syslinux
Requires: 	python >= 2.3
BuildRequires:  python-devel
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: 	noarch
ExcludeArch: 	ppc

%description

Koan stands for kickstart-over-a-network and allows for both
network provisioning of new virtualized guests and destructive re-provisioning 
of any existing system.  For use with a boot-server configured with
'cobbler'

%prep
%setup -q

%build
python setup.py build

%install
test "x%buildroot" != "x" && rm -rf %buildroot
python setup.py install --optimize=1 --root=%buildroot

%clean
test "x%buildroot" != "x" && rm -rf %buildroot

%files
%defattr(-,root,root)
%doc AUTHORS COPYING CHANGELOG README NEWS
%{_bindir}/koan
%dir %{python_sitelib}/koan
%dir %{python_sitelib}/koan/yaml
%{python_sitelib}/koan/*.py*
%{python_sitelib}/koan/yaml/*.py*
%{_mandir}/man1/koan.*

%changelog
* Sat Jan 20 2007 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.2.5-2
- Rebuild for pclos2007

* Fri Dec 08 2006 - Michael DeHaan <mdehaan@redhat.com> - 0.2.5-1
- Upstream changes (see CHANGELOG)
- tweaked MANIFEST.in to appease rhel3 builds

* Wed Oct 25 2006 - Michael DeHaan <mdehaan@redhat.com> - 0.2.4-1
- Upstream changes (see CHANGELOG)
- Description update

* Tue Oct 24 2006 - Michael DeHaan <mdehaan@redhat.com> - 0.2.3-1
- Upstream changes (see CHANGELOG)

* Wed Oct 18 2006 - Michael DeHaan <mdehaan@redhat.com> - 0.2.2-2
- Use __python instead of python, test RPM dir before deletion
- Update URLs

* Mon Oct 09 2006 - Michael DeHaan <mdehaan@redhat.com> - 0.2.2-1
- Upstream change -- support Python 2.3

* Mon Oct 09 2006 - Michael DeHaan <mdehaan@redhat.com> - 0.2.1-1
- Upstream features (see CHANGELOG)

* Thu Sep 28 2006 - Michael DeHaan <mdehaan@redhat.com> - 0.1.1-10
- Bumping build rev for FC-E

* Thu Sep 28 2006 - Michael DeHaan <mdehaan@redhat.com> - 0.1.1-9
- Excluding PPC since syslinux (gethostip) isn't available for ppc

* Thu Sep 21 2006 - Michael DeHaan <mdehaan@redhat.com> - 0.1.1-8
- Added doc files to %doc, removed INSTALLED_FILES code

* Wed Sep 20 2006 - Michael DeHaan <mdehaan@redhat.com> - 0.1.1-7
- Upstream updates

* Fri Sep 15 2006 - Michael DeHaan <mdehaan@redhat.com> - 0.1.1-6
- Make koan own it's directory, add GPL "COPYING" file.

* Wed Aug 16 2006 - Michael DeHaan <mdehaan@redhat.com> - 0.1.1-5
- Spec-file only changes for FC-Extras submission

* Thu Jul 20 2006 - Michael DeHaan <mdehaan@redhat.com> - 0.1.1-4
- Fixed python import paths in yaml code, which errantly assumed yaml was installed as a module.

* Fri Jul 12 2006 - Michael DeHaan <mdehaan@redhat.com> - 0.1.1-3
- allow installing with per-system cobbler data in addition to per-profile

* Thu Jul 09 2006 - Michael DeHaan <mdehaan@redhat.com> - 0.1.0-2
- rpm tweaks for Fedora Extras

* Wed Jun 28 2006 - Michael DeHaan <mdehaan@redhat.com> - 0.1.0-1
- rpm genesis
